japa.parser.ast.visitor

## Class EqualsVisitor

- java.lang.Object
- - japa.parser.ast.visitor.EqualsVisitor

All Implemented Interfaces:
  GenericVisitor<Boolean,Node>

    public class EqualsVisitor
    extends Object
    implements GenericVisitor<Boolean,Node>

### Method Summary

Methods
`static boolean` `equals(Node n1, Node n2)`
`Boolean` `visit(AnnotationDeclaration n1, Node arg)`
`Boolean` `visit(AnnotationMemberDeclaration n1, Node arg)`
`Boolean` `visit(ArrayAccessExpr n1, Node arg)`
`Boolean` `visit(ArrayCreationExpr n1, Node arg)`
`Boolean` `visit(ArrayInitializerExpr n1, Node arg)`
`Boolean` `visit(AssertStmt n1, Node arg)`
`Boolean` `visit(AssignExpr n1, Node arg)`
`Boolean` `visit(BinaryExpr n1, Node arg)`
`Boolean` `visit(BlockComment n1, Node arg)`
`Boolean` `visit(BlockStmt n1, Node arg)`
`Boolean` `visit(BooleanLiteralExpr n1, Node arg)`
`Boolean` `visit(BreakStmt n1, Node arg)`
`Boolean` `visit(CastExpr n1, Node arg)`
`Boolean` `visit(CatchClause n1, Node arg)`
`Boolean` `visit(CharLiteralExpr n1, Node arg)`
`Boolean` `visit(ClassExpr n1, Node arg)`
`Boolean` `visit(ClassOrInterfaceDeclaration n1, Node arg)`
`Boolean` `visit(ClassOrInterfaceType n1, Node arg)`
`Boolean` `visit(CompilationUnit n1, Node arg)`
`Boolean` `visit(ConditionalExpr n1, Node arg)`
`Boolean` `visit(ConstructorDeclaration n1, Node arg)`
`Boolean` `visit(ContinueStmt n1, Node arg)`
`Boolean` `visit(DoStmt n1, Node arg)`
`Boolean` `visit(DoubleLiteralExpr n1, Node arg)`
`Boolean` `visit(EmptyMemberDeclaration n1, Node arg)`
`Boolean` `visit(EmptyStmt n1, Node arg)`
`Boolean` `visit(EmptyTypeDeclaration n1, Node arg)`
`Boolean` `visit(EnclosedExpr n1, Node arg)`
`Boolean` `visit(EnumConstantDeclaration n1, Node arg)`
`Boolean` `visit(EnumDeclaration n1, Node arg)`
`Boolean` `visit(ExplicitConstructorInvocationStmt n1, Node arg)`
`Boolean` `visit(ExpressionStmt n1, Node arg)`
`Boolean` `visit(FieldAccessExpr n1, Node arg)`
`Boolean` `visit(FieldDeclaration n1, Node arg)`
`Boolean` `visit(ForeachStmt n1, Node arg)`
`Boolean` `visit(ForStmt n1, Node arg)`
`Boolean` `visit(IfStmt n1, Node arg)`
`Boolean` `visit(ImportDeclaration n1, Node arg)`
`Boolean` `visit(InitializerDeclaration n1, Node arg)`
`Boolean` `visit(InstanceOfExpr n1, Node arg)`
`Boolean` `visit(IntegerLiteralExpr n1, Node arg)`
`Boolean` `visit(IntegerLiteralMinValueExpr n1, Node arg)`
`Boolean` `visit(JavadocComment n1, Node arg)`
`Boolean` `visit(LabeledStmt n1, Node arg)`
`Boolean` `visit(LineComment n1, Node arg)`
`Boolean` `visit(LongLiteralExpr n1, Node arg)`
`Boolean` `visit(LongLiteralMinValueExpr n1, Node arg)`
`Boolean` `visit(MarkerAnnotationExpr n1, Node arg)`
`Boolean` `visit(MemberValuePair n1, Node arg)`
`Boolean` `visit(MethodCallExpr n1, Node arg)`
`Boolean` `visit(MethodDeclaration n1, Node arg)`
`Boolean` `visit(NameExpr n1, Node arg)`
`Boolean` `visit(NormalAnnotationExpr n1, Node arg)`
`Boolean` `visit(NullLiteralExpr n1, Node arg)`
`Boolean` `visit(ObjectCreationExpr n1, Node arg)`
`Boolean` `visit(PackageDeclaration n1, Node arg)`
`Boolean` `visit(Parameter n1, Node arg)`
`Boolean` `visit(PrimitiveType n1, Node arg)`
`Boolean` `visit(QualifiedNameExpr n1, Node arg)`
`Boolean` `visit(ReferenceType n1, Node arg)`
`Boolean` `visit(ReturnStmt n1, Node arg)`
`Boolean` `visit(SingleMemberAnnotationExpr n1, Node arg)`
`Boolean` `visit(StringLiteralExpr n1, Node arg)`
`Boolean` `visit(SuperExpr n1, Node arg)`
`Boolean` `visit(SwitchEntryStmt n1, Node arg)`
`Boolean` `visit(SwitchStmt n1, Node arg)`
`Boolean` `visit(SynchronizedStmt n1, Node arg)`
`Boolean` `visit(ThisExpr n1, Node arg)`
`Boolean` `visit(ThrowStmt n1, Node arg)`
`Boolean` `visit(TryStmt n1, Node arg)`
`Boolean` `visit(TypeDeclarationStmt n1, Node arg)`
`Boolean` `visit(TypeParameter n1, Node arg)`
`Boolean` `visit(UnaryExpr n1, Node arg)`
`Boolean` `visit(VariableDeclarationExpr n1, Node arg)`
`Boolean` `visit(VariableDeclaratorId n1, Node arg)`
`Boolean` `visit(VariableDeclarator n1, Node arg)`
`Boolean` `visit(VoidType n1, Node arg)`
`Boolean` `visit(WhileStmt n1, Node arg)`
`Boolean` `visit(WildcardType n1, Node arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### equals

    public static boolean equals(Node n1,
                 Node n2)

#### visit

    public Boolean visit(CompilationUnit n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(PackageDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ImportDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(TypeParameter n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(LineComment n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(BlockComment n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ClassOrInterfaceDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(EnumDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(EmptyTypeDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(EnumConstantDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(AnnotationDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(AnnotationMemberDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(FieldDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(VariableDeclarator n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(VariableDeclaratorId n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ConstructorDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(MethodDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(Parameter n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(EmptyMemberDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(InitializerDeclaration n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(JavadocComment n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ClassOrInterfaceType n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(PrimitiveType n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ReferenceType n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(VoidType n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(WildcardType n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ArrayAccessExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ArrayCreationExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ArrayInitializerExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(AssignExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(BinaryExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(CastExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ClassExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ConditionalExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(EnclosedExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(FieldAccessExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(InstanceOfExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(StringLiteralExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(IntegerLiteralExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(LongLiteralExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(IntegerLiteralMinValueExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(LongLiteralMinValueExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(CharLiteralExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(DoubleLiteralExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(BooleanLiteralExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(NullLiteralExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(MethodCallExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(NameExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ObjectCreationExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(QualifiedNameExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ThisExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(SuperExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(UnaryExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(VariableDeclarationExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(MarkerAnnotationExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(SingleMemberAnnotationExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(NormalAnnotationExpr n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(MemberValuePair n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ExplicitConstructorInvocationStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(TypeDeclarationStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(AssertStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(BlockStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(LabeledStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(EmptyStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ExpressionStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(SwitchStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(SwitchEntryStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(BreakStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ReturnStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(IfStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(WhileStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ContinueStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(DoStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ForeachStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ForStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(ThrowStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(SynchronizedStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(TryStmt n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`

#### visit

    public Boolean visit(CatchClause n1,
                Node arg)

Specified by:
  `visit` in interface `GenericVisitor<Boolean,Node>`